/* Grundfarben */
:root {
    --beton-hell: #e0e0e0;
    --beton: #b0b0b0;
    --beton-dunkel: #707070;
    --text: #333;
    --weiß: #ffffff;
    --schwarz: #000000;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Arial', sans-serif;
    background-color: var(--weiß);
    color: var(--text);
    line-height: 1.6;
}

/* Header */
header {
    background-color: var(--beton);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 30px;
}

.logo {
    height: 75px;
    object-fit: contain;
}

nav ul {
    list-style: none;
    display: flex;
    gap: 1.5rem;
}

nav a {
    text-decoration: none;
    color: var(--schwarz);
    font-weight: 500;
    font-size: 18px;
}

/* Hero */
.hero {
    background-color: var(--beton-hell);
    text-align: center;
    padding: 0.3rem 0.5rem;
}

.hero h1 {
    font-size: 2.5rem;
}

.hero p {
    font-size: 1.2rem;
    margin-bottom: 2rem;
}

.btn {
    background-color: var(--beton-dunkel);
    color: var(--weiß);
    padding: 0.8rem 1.5rem;
    text-decoration: none;
    border-radius: 5px;
    font-weight: bold;
}

/* Produkte */
.produkte {
    padding: 1rem 1rem;
    text-align: center;
    background-color: var(--weiß);
}

.produkte h2 {
    font-size: 2rem;
    margin-bottom: 1rem;
}

.produkte p {
    font-size: 1.1rem;
}

.produkt-grid {
    display: flex;
    justify-content: center;
    gap: 2rem;
    flex-wrap: wrap;
    margin-bottom: 15px;
}

.produkt {
    background-color: var(--beton-hell);
    padding: 1rem;
    border-radius: 5px;
    width: 275px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.produkt .bild {
    background-color: var(--beton);
    height: 175px;
    margin-bottom: 1rem;
    border-radius: 3px;
}

.produkt_gross .bild_gross {
    background-color: var(--beton);
    height: 400px;
    margin-bottom: 1rem;
    border-radius: 3px;
}


/* Kontakte */
.container {
    display: flex;
    gap: 20px;
    justify-content: center;
    flex-wrap: wrap;
    /* Optional: sorgt dafür, dass es bei kleineren Bildschirmen umbrechen kann */
}

.contact-box {
    background-color: white;
    border: 1px solid #ccc;
    padding: 20px;
    width: 300px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
}

.contact-box h3 {
    margin-top: 0;
    color: #333;
}

.contact-box p {
    margin: 8px 0;
    color: #555;
}

/* Footer */
footer {
    background-color: var(--beton);
    text-align: center;
    padding: 1rem;
    font-size: 0.9rem;
    color: var(--schwarz);
}